---
layout: post
title: "two day ago accidentally I dropped a spring on the board, after that only 4 led ON and USB on PC recognized the device but don't work and don't open the SD card"
date: July 10, 2017 16:52
category: "Help"
author: "Blast UM"
---
two day ago accidentally I dropped a spring on the board, after that only 4 led ON and USB on PC recognized the device but don't work and don't open the SD card. Has happened to someone? Any evidence that I can do?﻿

![missing image](https://lh3.googleusercontent.com/-RMTMH2qv3XY/WWOw3KCQ5eI/AAAAAAAADXk/RVRkNQ3ZySEnSsPpV_rjy9iu_oaDFxMiQCJoC/s0/IMG_20170710_184510.jpg)



**"Blast UM"**

---


---
*Imported from [Google+](https://plus.google.com/113386163906770624917/posts/57hPt5wEcpS) &mdash; content and formatting may not be reliable*
